diff --git a/gnu/packages/rust-apps.scm b/gnu/packages/rust-apps.scm
index eb5214f534..4495fd568a 100644
--- a/gnu/packages/rust-apps.scm
+++ b/gnu/packages/rust-apps.scm
@@ -1840,69 +1840,75 @@ (define-public watchexec
 (define-public rbw
   (package
     (name "rbw")
-    (version "1.4.1")
+    (version "1.8.3")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "rbw" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0zszp9hvilpikbd66b5zbvspks0spv8dh0yry0sxnc5yqvl2ixnf"))))
+        (base32 "1p8bzpqgdc20l2vbb80gsb2ri5j16af958bixpnnp73mfvwzxvg1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
          (add-after 'configure 'relax-requirements
            (lambda _
-             (substitute*
-                 "guix-vendor/rust-password-hash-0.3.2.tar.gz/Cargo.toml"
-               (("version = \">=1, <1.1.0\"") "version = \">=1\""))
-             (substitute*
-                 "guix-vendor/rust-rsa-0.5.0.tar.gz/Cargo.toml"
-               (("version = \">=1, <1.5\"") "version = \"^1\""))
-             (substitute*
-                 "Cargo.toml"
-               (("version = \"1.4\"") "version = \"^1\"")))))
+             ;; rust-log
+             (substitute* "Cargo.toml" (("0.4.19") "^0.4.17"))
+             ;; rust-reqwest
+             (substitute* "Cargo.toml" (("0.11.18") "^0.11.14"))
+             ;; rust-uuid
+             (substitute* "Cargo.toml" (("1.4.1") "^1.3.3")))))
        #:cargo-inputs
-       (("rust-aes" ,rust-aes-0.7)
+       (("rust-aes" ,rust-aes-0.8)
         ("rust-anyhow" ,rust-anyhow-1)
+        ("rust-argon2" ,rust-argon2-0.5)
         ("rust-arrayvec" ,rust-arrayvec-0.7)
         ("rust-async-trait" ,rust-async-trait-0.1)
         ("rust-base32" ,rust-base32-0.4)
-        ("rust-base64" ,rust-base64-0.13)
-        ("rust-block-modes" ,rust-block-modes-0.8)
-        ("rust-block-padding" ,rust-block-padding-0.2)
-        ("rust-daemonize" ,rust-daemonize-0.4)
-        ("rust-directories" ,rust-directories-4)
-        ("rust-env-logger" ,rust-env-logger-0.9)
-        ("rust-hkdf" ,rust-hkdf-0.11)
-        ("rust-hmac" ,rust-hmac-0.11)
+        ("rust-base64" ,rust-base64-0.21)
+        ("rust-block-padding" ,rust-block-padding-0.3)
+        ("rust-cbc" ,rust-cbc-0.1)
+        ("rust-clap" ,rust-clap-4)
+        ("rust-clap-complete" ,rust-clap-complete-4)
+        ("rust-copypasta" ,rust-copypasta-0.8)
+        ("rust-daemonize" ,rust-daemonize-0.5)
+        ("rust-directories" ,rust-directories-5)
+        ("rust-env-logger" ,rust-env-logger-0.10)
+        ("rust-futures" ,rust-futures-0.3)
+        ("rust-futures-channel" ,rust-futures-channel-0.3)
+        ("rust-futures-util" ,rust-futures-util-0.3)
+        ("rust-hkdf" ,rust-hkdf-0.12)
+        ("rust-hmac" ,rust-hmac-0.12)
         ("rust-humantime" ,rust-humantime-2)
         ("rust-libc" ,rust-libc-0.2)
         ("rust-log" ,rust-log-0.4)
-        ("rust-nix" ,rust-nix-0.23)
-        ("rust-paw" ,rust-paw-1)
-        ("rust-pbkdf2" ,rust-pbkdf2-0.9)
+        ("rust-nix" ,rust-nix-0.24)
+        ("rust-pbkdf2" ,rust-pbkdf2-0.12)
         ("rust-percent-encoding" ,rust-percent-encoding-2)
+        ("rust-pkcs8" ,rust-pkcs8-0.10)
         ("rust-rand" ,rust-rand-0.8)
         ("rust-region" ,rust-region-3)
         ("rust-reqwest" ,rust-reqwest-0.11)
-        ("rust-rsa" ,rust-rsa-0.5)
+        ("rust-rmpv" ,rust-rmpv-1)
+        ("rust-rsa" ,rust-rsa-0.9)
         ("rust-serde" ,rust-serde-1)
         ("rust-serde-json" ,rust-serde-json-1)
         ("rust-serde-path-to-error" ,rust-serde-path-to-error-0.1)
         ("rust-serde-repr" ,rust-serde-repr-0.1)
-        ("rust-sha-1" ,rust-sha-1-0.9)
-        ("rust-sha2" ,rust-sha2-0.9)
-        ("rust-structopt" ,rust-structopt-0.3)
+        ("rust-sha1" ,rust-sha1-0.10)
+        ("rust-sha2" ,rust-sha2-0.10)
         ("rust-tempfile" ,rust-tempfile-3)
-        ("rust-term-size" ,rust-term-size-0.3)
-        ("rust-textwrap" ,rust-textwrap-0.11)
+        ("rust-terminal-size" ,rust-terminal-size-0.2)
+        ("rust-textwrap" ,rust-textwrap-0.16)
         ("rust-thiserror" ,rust-thiserror-1)
         ("rust-tokio" ,rust-tokio-1)
-        ("rust-totp-lite" ,rust-totp-lite-1)
+        ("rust-tokio-stream" ,rust-tokio-stream-0.1)
+        ("rust-tokio-tungstenite" ,rust-tokio-tungstenite-0.19)
+        ("rust-totp-lite" ,rust-totp-lite-2)
         ("rust-url" ,rust-url-2)
-        ("rust-uuid" ,rust-uuid-0.8)
+        ("rust-uuid" ,rust-uuid-1)
         ("rust-zeroize" ,rust-zeroize-1))))
     (native-inputs
      (list perl))