diff --git a/gnu/packages/rust-apps.scm b/gnu/packages/rust-apps.scm
index 02de57bea4..c22494161e 100644
--- a/gnu/packages/rust-apps.scm
+++ b/gnu/packages/rust-apps.scm
@@ -4878,3 +4878,34 @@ (define-public matugen
      "@command{matugen} generates a 'Material You' color palette based on a
 specified image or color, easing the process of theme creation.")
     (license license:gpl2)))
+
+(define-public television
+  (package
+    (name "television")
+    (version "0.11.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "television" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0wsyfvidh8smlfmmmmdc7z96aaz1j4ycxc7qqsxlfw3vdm5hclhn"))))
+    (build-system cargo-build-system)
+    (arguments
+     (list
+      #:install-source? #f
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-before 'build 'pre-build
+            (lambda _
+              (setenv "RUSTONIG_SYSTEM_LIBONIG" "1"))))))
+    (native-inputs (list pkg-config))
+    (inputs (cons* oniguruma
+                   (cargo-inputs 'television)))
+    (home-page "https://github.com/alexpasmantier/television")
+    (synopsis "Cross-platform, general purpose fuzzy finder TUI")
+    (description
+     "@code{television} is a fuzzy finder in the likes of the @code{fzf} and
+@code{skim} packages, but with a design based on a television, with search
+categories being divided in 'channels'.  It uses @code{bat} for file preview.")
+    (license license:expat)))
diff --git a/gnu/packages/rust-crates.scm b/gnu/packages/rust-crates.scm
index 9c40134008..b08d005c9e 100644
--- a/gnu/packages/rust-crates.scm
+++ b/gnu/packages/rust-crates.scm
@@ -253,6 +253,10 @@ (define rust-anyhow-1.0.97
   (crate-source "anyhow" "1.0.97"
                 "0kvspbiwncmmkdgrwjrimsmbmhzxc641p5ql99l2rjq6smmdbznw"))
 
+(define rust-anyhow-1.0.98
+  (crate-source "anyhow" "1.0.98"
+                "11ylvjdrcjs0q9jgk1af4r5cx1qppj63plxqkq595vmc24rjsvg1"))
+
 (define rust-aom-sys-0.3.3
   (crate-source "aom-sys" "0.3.3"
                 "0bc1dzl3c95s44q7c1i0vnj7fhiqf44in8w22nw5vmp1vgbpadk2"))
@@ -656,6 +660,10 @@ (define rust-basic-cookies-0.1.5
   (crate-source "basic-cookies" "0.1.5"
                 "1xwnmmcn32m18nis7azfxylkqyhirkqcag94i23b1g8n5ka8zgb7"))
 
+(define rust-bat-0.25.0
+  (crate-source "bat" "0.25.0"
+                "16k63rbl40fzxs13j7wvalrdfqhaxk6qhv4511pncfhimp195dra"))
+
 (define rust-bcrypt-pbkdf-0.10.0
   (crate-source "bcrypt-pbkdf" "0.10.0"
                 "18pjhsy3m2v0silsp4mjzz8i92zrpqxk9b059zrnk1w8zvhw5ska"))
@@ -668,6 +676,10 @@ (define rust-beef-0.5.2
   (crate-source "beef" "0.5.2"
                 "1c95lbnhld96iwwbyh5kzykbpysq0fnjfhwxa1mhap5qxgrl30is"))
 
+(define rust-better-panic-0.3.0
+  (crate-source "better-panic" "0.3.0"
+                "0djh7qs39z0mbkzxs4nrc9ngnyjpsxq67lqfv75q91i63b8y3abg"))
+
 (define rust-bgzip-0.3.1
   (crate-source "bgzip" "0.3.1"
                 "16zr2nclis3kgz0jxi7ayyk510ar5dvyfpf03fazajmn1ycdhkxn"))
@@ -1376,6 +1388,10 @@ (define rust-clircle-0.4.0
   (crate-source "clircle" "0.4.0"
                 "0056l1bf2zmd7xs13xp8gxw9j9dngw4im0m8ijyifkrmsnz7rs68"))
 
+(define rust-clircle-0.6.1
+  (crate-source "clircle" "0.6.1"
+                "06mccyq791x9gznl9cxd9w27wn1jm53rn2sqv2zbjvxl4pvk94vx"))
+
 (define rust-cloudabi-0.0.3
   (crate-source "cloudabi" "0.0.3"
                 "0kxcg83jlihy0phnd2g8c2c303px3l2p3pkjz357ll6llnd5pz6x"))
@@ -2851,6 +2867,10 @@ (define rust-fxhash-0.2.1
   (crate-source "fxhash" "0.2.1"
                 "037mb9ichariqi45xm6mz0b11pa92gj38ba0409z3iz239sns6y3"))
 
+(define rust-gag-1.0.0
+  (crate-source "gag" "1.0.0"
+                "0wjr02svx7jir7b7r69lpfh3assasmqsz4vivzzzpsb677hvw4x7"))
+
 (define rust-gbm-0.18.0
   (crate-source "gbm" "0.18.0"
                 "0skyaj51xlazaa24jdkxxi2g6pnw834k3yqlf2ly999wincjx1ff"))
@@ -4343,6 +4363,10 @@ (define rust-human-panic-1.2.3
   (crate-source "human-panic" "1.2.3"
                 "0w7kbj2y3rrnax2bj4s3aashsm5lrg55wh58a44v7fr0k741dw64"))
 
+(define rust-human-panic-2.0.2
+  (crate-source "human-panic" "2.0.2"
+                "1xzi9gj73s8x79kjffhdmjg14320xaxjhv1s0i02f215ldk4mf40"))
+
 (define rust-humansize-2.1.3
   (crate-source "humansize" "2.1.3"
                 "1msxd1akb3dydsa8qs461sds9krwnn31szvqgaq93p4x0ad1rdbc"))
@@ -7269,6 +7293,10 @@ (define rust-ravif-0.11.11
   (crate-source "ravif" "0.11.11"
                 "1ij51acd3pkl3rr2ha3r3nc7pvg649m49bvyngpcv98fpnbgs4r4"))
 
+(define rust-ravif-0.11.12
+  (crate-source "ravif" "0.11.12"
+                "1in0111cgrn06bkwxkr24fgwj9ammfj8x1ga3x0gj03mrwgz79fn"))
+
 (define rust-raw-window-handle-0.6.2
   (crate-source "raw-window-handle" "0.6.2"
                 "0ff5c648hncwx7hm2a8fqgqlbvbl4xawb6v3xxv9wkpjyrr5arr0"))
@@ -8098,10 +8126,18 @@ (define rust-serde-with-2.3.3
   (crate-source "serde_with" "2.3.3"
                 "1gmgl2raxxnpvjgcvkrimgv55kbjywi5xbffc9rvb9s7q7973zq7"))
 
+(define rust-serde-with-3.12.0
+  (crate-source "serde_with" "3.12.0"
+                "1ai9c3cbdgrsvmlc4qpg9z73y80yplk3k7zp45wp97xnzkrggdnn"))
+
 (define rust-serde-with-macros-2.3.3
   (crate-source "serde_with_macros" "2.3.3"
                 "0pv9wy1aihsaklg83qac4q0ksimbxcwwk56lwla35l8p3f46y6w8"))
 
+(define rust-serde-with-macros-3.12.0
+  (crate-source "serde_with_macros" "3.12.0"
+                "13hznly0qq1rngsdh8gpnajab2knkrmvwwrbmii86g1s36jwl04d"))
+
 (define rust-serde-yaml-0.9.34+deprecated
   (crate-source "serde_yaml" "0.9.34+deprecated"
                 "0isba1fjyg3l6rxk156k600ilzr8fp7crv82rhal0rxz5qd1m2va"))
@@ -8830,6 +8866,10 @@ (define rust-tauri-winrt-notification-0.7.2
   (crate-source "tauri-winrt-notification" "0.7.2"
                 "1fd9gcllx1rkp9h1ppq976bhqppnil5xsy36li1zx2g4gph6c7hb"))
 
+(define rust-television-derive-0.0.26
+  (crate-source "television-derive" "0.0.26"
+                "026h94z1ny8cbprd0dhw90g7x0ahd99d4kdskjdwsidvabv6zvs1"))
+
 (define rust-temp-dir-0.1.14
   (crate-source "temp-dir" "0.1.14"
                 "0wiwpkkxln7ykj44029bmc86cariqq2mjwllrdjzf4jgygpfc7mw"))
@@ -8859,6 +8899,10 @@ (define rust-termcolor-1.4.1
   (crate-source "termcolor" "1.4.1"
                 "0mappjh3fj3p2nmrg4y7qv94rchwi9mzmgmfflr8p2awdj7lyy86"))
 
+(define rust-terminal-colorsaurus-0.4.8
+  (crate-source "terminal-colorsaurus" "0.4.8"
+                "1s16dvq5ml490vj0fkhx27llzxyscn4v44fbxd9gpjx3fk0y9bxp"))
+
 (define rust-terminal-size-0.1.17
   (crate-source "terminal_size" "0.1.17"
                 "1pq60ng1a7fjp597ifk1cqlz8fv9raz9xihddld1m1pfdia1lg33"))
@@ -8875,6 +8919,10 @@ (define rust-terminal-size-0.4.2
   (crate-source "terminal_size" "0.4.2"
                 "1vdm5xhzn7sqcsr762vmnavkhid3hs8w8qjyh9iwrr1990f4iij5"))
 
+(define rust-terminal-trx-0.2.4
+  (crate-source "terminal-trx" "0.2.4"
+                "1ask2zj8q78rh50wylcc60z78g35c4nb4lsydm2h46zsmqrl4nwp"))
+
 (define rust-terminfo-0.7.5
   (crate-source "terminfo" "0.7.5"
                 "11d576lbjis5437rdz7k3k8glayxnhz6hqmlphnkbxm01pvswcfs"
@@ -10704,6 +10752,10 @@ (define rust-xshell-macros-0.2.7
   (crate-source "xshell-macros" "0.2.7"
                 "0irm50jxdc92r0kd6yvl5p28jsfzha59brxk7z9w3jcf7z6h1b1j"))
 
+(define rust-xterm-color-1.0.1
+  (crate-source "xterm-color" "1.0.1"
+                "03x8p1yav22y96c5mb5ahxqpcib1w927b1jlhy8bgj4xzdbg1rad"))
+
 (define rust-xz2-0.1.7
   (crate-source "xz2" "0.1.7"
                 "1qk7nzpblizvayyq4xzi4b0zacmmbqr6vb9fc0v1avyp17f4931q"))
@@ -23722,6 +23774,318 @@ (define-public swww-cargo-inputs
         rust-zune-inflate-0.2.54
         rust-zune-jpeg-0.4.14))
 
+(define-public television-cargo-inputs
+  (list rust-addr2line-0.24.2
+        rust-adler2-2.0.0
+        rust-aho-corasick-1.1.3
+        rust-aligned-vec-0.5.0
+        rust-allocator-api2-0.2.21
+        rust-anes-0.1.6
+        rust-ansi-colours-1.2.3
+        rust-anstream-0.6.18
+        rust-anstyle-1.0.10
+        rust-anstyle-parse-0.2.6
+        rust-anstyle-query-1.1.2
+        rust-anstyle-wincon-3.0.7
+        rust-anyhow-1.0.98
+        rust-arbitrary-1.4.1
+        rust-arg-enum-proc-macro-0.3.4
+        rust-arrayvec-0.7.6
+        rust-autocfg-1.4.0
+        rust-av1-grain-0.2.3
+        rust-avif-serialize-0.8.3
+        rust-backtrace-0.3.74
+        rust-base64-0.22.1
+        rust-bat-0.25.0
+        rust-better-panic-0.3.0
+        rust-bincode-1.3.3
+        rust-bit-set-0.5.3
+        rust-bit-vec-0.6.3
+        rust-bit-field-0.10.2
+        rust-bitflags-1.3.2
+        rust-bitflags-2.9.0
+        rust-bitstream-io-2.6.0
+        rust-bstr-1.12.0
+        rust-built-0.7.7
+        rust-bumpalo-3.17.0
+        rust-bytemuck-1.22.0
+        rust-byteorder-lite-0.1.0
+        rust-bytes-1.10.1
+        rust-bytesize-1.3.3
+        rust-cassowary-0.3.0
+        rust-cast-0.3.0
+        rust-castaway-0.2.3
+        rust-cc-1.2.19
+        rust-cfg-expr-0.15.8
+        rust-cfg-if-1.0.0
+        rust-ciborium-0.2.2
+        rust-ciborium-io-0.2.2
+        rust-ciborium-ll-0.2.2
+        rust-clap-4.5.36
+        rust-clap-builder-4.5.36
+        rust-clap-derive-4.5.32
+        rust-clap-lex-0.7.4
+        rust-clap-mangen-0.2.26
+        rust-clipboard-win-5.4.0
+        rust-clircle-0.6.1
+        rust-color-quant-1.1.0
+        rust-colorchoice-1.0.3
+        rust-compact-str-0.8.1
+        rust-console-0.15.11
+        rust-content-inspector-0.2.4
+        rust-crc32fast-1.4.2
+        rust-criterion-0.5.1
+        rust-criterion-plot-0.5.0
+        rust-crossbeam-deque-0.8.6
+        rust-crossbeam-epoch-0.9.18
+        rust-crossbeam-utils-0.8.21
+        rust-crossterm-0.28.1
+        rust-crossterm-winapi-0.9.1
+        rust-crunchy-0.2.3
+        rust-darling-0.20.11
+        rust-darling-core-0.20.11
+        rust-darling-macro-0.20.11
+        rust-deranged-0.4.0
+        rust-devicons-0.6.12
+        rust-directories-6.0.0
+        rust-dirs-sys-0.5.0
+        rust-either-1.15.0
+        rust-encode-unicode-1.0.0
+        rust-encoding-rs-0.8.35
+        rust-equivalent-1.0.2
+        rust-errno-0.3.11
+        rust-error-code-3.3.1
+        rust-exr-1.73.0
+        rust-fancy-regex-0.11.0
+        rust-fastrand-2.3.0
+        rust-fdeflate-0.3.7
+        rust-filedescriptor-0.8.3
+        rust-flate2-1.1.1
+        rust-fnv-1.0.7
+        rust-foldhash-0.1.5
+        rust-futures-0.3.31
+        rust-futures-channel-0.3.31
+        rust-futures-core-0.3.31
+        rust-futures-io-0.3.31
+        rust-futures-sink-0.3.31
+        rust-futures-task-0.3.31
+        rust-futures-util-0.3.31
+        rust-gag-1.0.0
+        rust-getrandom-0.2.15
+        rust-getrandom-0.3.2
+        rust-gif-0.13.1
+        rust-gimli-0.31.1
+        rust-globset-0.4.16
+        rust-half-2.6.0
+        rust-hashbrown-0.15.2
+        rust-heck-0.5.0
+        rust-hermit-abi-0.5.0
+        rust-home-0.5.11
+        rust-human-panic-2.0.2
+        rust-ident-case-1.0.1
+        rust-ignore-0.4.23
+        rust-image-0.25.6
+        rust-image-webp-0.2.1
+        rust-imgref-1.11.0
+        rust-indexmap-2.9.0
+        rust-indoc-2.0.6
+        rust-instability-0.3.7
+        rust-interpolate-name-0.2.4
+        rust-is-terminal-0.4.16
+        rust-is-terminal-polyfill-1.70.1
+        rust-itertools-0.10.5
+        rust-itertools-0.12.1
+        rust-itertools-0.13.0
+        rust-itoa-1.0.15
+        rust-jobserver-0.1.33
+        rust-jpeg-decoder-0.3.1
+        rust-js-sys-0.3.77
+        rust-lazy-static-1.5.0
+        rust-lebe-0.5.2
+        rust-libc-0.2.171
+        rust-libfuzzer-sys-0.4.9
+        rust-libredox-0.1.3
+        rust-linux-raw-sys-0.4.15
+        rust-linux-raw-sys-0.9.4
+        rust-lock-api-0.4.12
+        rust-log-0.4.27
+        rust-loop9-0.1.5
+        rust-lru-0.12.5
+        rust-matchers-0.1.0
+        rust-maybe-rayon-0.1.1
+        rust-memchr-2.7.4
+        rust-minimal-lexical-0.2.1
+        rust-miniz-oxide-0.8.8
+        rust-mio-1.0.3
+        rust-new-debug-unreachable-1.0.6
+        rust-nom-7.1.3
+        rust-noop-proc-macro-0.3.0
+        rust-nu-ansi-term-0.46.0
+        rust-nu-ansi-term-0.50.1
+        rust-nucleo-0.5.0
+        rust-nucleo-matcher-0.3.1
+        rust-num-bigint-0.4.6
+        rust-num-conv-0.1.0
+        rust-num-derive-0.4.2
+        rust-num-integer-0.1.46
+        rust-num-rational-0.4.2
+        rust-num-traits-0.2.19
+        rust-object-0.36.7
+        rust-once-cell-1.21.3
+        rust-onig-6.4.0
+        rust-onig-sys-69.8.1
+        rust-oorandom-11.1.5
+        rust-option-ext-0.2.0
+        rust-os-info-3.10.0
+        rust-overload-0.1.1
+        rust-parking-lot-0.12.3
+        rust-parking-lot-core-0.9.10
+        rust-paste-1.0.15
+        rust-path-abs-0.5.1
+        rust-pin-project-lite-0.2.16
+        rust-pin-utils-0.1.0
+        rust-pkg-config-0.3.32
+        rust-plist-1.7.1
+        rust-plotters-0.3.7
+        rust-plotters-backend-0.3.7
+        rust-plotters-svg-0.3.7
+        rust-png-0.17.16
+        rust-powerfmt-0.2.0
+        rust-ppv-lite86-0.2.21
+        rust-proc-macro2-1.0.94
+        rust-profiling-1.0.16
+        rust-profiling-procmacros-1.0.16
+        rust-qoi-0.4.1
+        rust-quick-error-2.0.1
+        rust-quick-xml-0.32.0
+        rust-quote-1.0.40
+        rust-r-efi-5.2.0
+        rust-rand-0.8.5
+        rust-rand-chacha-0.3.1
+        rust-rand-core-0.6.4
+        rust-ratatui-0.29.0
+        rust-rav1e-0.7.1
+        rust-ravif-0.11.12
+        rust-rayon-1.10.0
+        rust-rayon-core-1.12.1
+        rust-redox-syscall-0.5.11
+        rust-redox-users-0.5.0
+        rust-regex-1.11.1
+        rust-regex-automata-0.1.10
+        rust-regex-automata-0.4.9
+        rust-regex-syntax-0.6.29
+        rust-regex-syntax-0.8.5
+        rust-rgb-0.8.50
+        rust-roff-0.2.2
+        rust-rustc-demangle-0.1.24
+        rust-rustc-hash-2.1.1
+        rust-rustix-0.38.44
+        rust-rustix-1.0.5
+        rust-rustversion-1.0.20
+        rust-ryu-1.0.20
+        rust-same-file-1.0.6
+        rust-scopeguard-1.2.0
+        rust-semver-1.0.26
+        rust-serde-1.0.219
+        rust-serde-derive-1.0.219
+        rust-serde-json-1.0.140
+        rust-serde-spanned-0.6.8
+        rust-serde-with-3.12.0
+        rust-serde-with-macros-3.12.0
+        rust-serde-yaml-0.9.34+deprecated
+        rust-sharded-slab-0.1.7
+        rust-shlex-1.3.0
+        rust-signal-hook-0.3.17
+        rust-signal-hook-mio-0.2.4
+        rust-signal-hook-registry-1.4.2
+        rust-simd-adler32-0.3.7
+        rust-simd-helpers-0.1.0
+        rust-simdutf8-0.1.5
+        rust-smallvec-1.15.0
+        rust-socket2-0.5.9
+        rust-static-assertions-1.1.0
+        rust-std-prelude-0.2.12
+        rust-strsim-0.11.1
+        rust-strum-0.26.3
+        rust-strum-macros-0.26.4
+        rust-syn-2.0.100
+        rust-syntect-5.2.0
+        rust-system-deps-6.2.2
+        rust-target-lexicon-0.12.16
+        rust-television-derive-0.0.26
+        rust-tempfile-3.19.1
+        rust-terminal-colorsaurus-0.4.8
+        rust-terminal-trx-0.2.4
+        rust-thiserror-1.0.69
+        rust-thiserror-2.0.12
+        rust-thiserror-impl-1.0.69
+        rust-thiserror-impl-2.0.12
+        rust-thread-local-1.1.8
+        rust-tiff-0.9.1
+        rust-time-0.3.41
+        rust-time-core-0.1.4
+        rust-time-macros-0.2.22
+        rust-tinytemplate-1.2.1
+        rust-tokio-1.44.2
+        rust-tokio-macros-2.5.0
+        rust-toml-0.8.20
+        rust-toml-datetime-0.6.8
+        rust-toml-edit-0.22.24
+        rust-tracing-0.1.41
+        rust-tracing-attributes-0.1.28
+        rust-tracing-core-0.1.33
+        rust-tracing-log-0.2.0
+        rust-tracing-subscriber-0.3.19
+        rust-unicode-ident-1.0.18
+        rust-unicode-segmentation-1.12.0
+        rust-unicode-truncate-1.1.0
+        rust-unicode-width-0.1.14
+        rust-unicode-width-0.2.0
+        rust-unsafe-libyaml-0.2.11
+        rust-utf8parse-0.2.2
+        rust-uuid-1.16.0
+        rust-v-frame-0.3.8
+        rust-valuable-0.1.1
+        rust-version-compare-0.2.0
+        rust-walkdir-2.5.0
+        rust-wasi-0.11.0+wasi-snapshot-preview1
+        rust-wasi-0.14.2+wasi-0.2.4
+        rust-wasm-bindgen-0.2.100
+        rust-wasm-bindgen-backend-0.2.100
+        rust-wasm-bindgen-macro-0.2.100
+        rust-wasm-bindgen-macro-support-0.2.100
+        rust-wasm-bindgen-shared-0.2.100
+        rust-web-sys-0.3.77
+        rust-weezl-0.1.8
+        rust-winapi-0.3.9
+        rust-winapi-i686-pc-windows-gnu-0.4.0
+        rust-winapi-util-0.1.9
+        rust-winapi-x86-64-pc-windows-gnu-0.4.0
+        rust-windows-0.56.0
+        rust-windows-core-0.56.0
+        rust-windows-implement-0.56.0
+        rust-windows-interface-0.56.0
+        rust-windows-result-0.1.2
+        rust-windows-sys-0.52.0
+        rust-windows-sys-0.59.0
+        rust-windows-targets-0.52.6
+        rust-windows-aarch64-gnullvm-0.52.6
+        rust-windows-aarch64-msvc-0.52.6
+        rust-windows-i686-gnu-0.52.6
+        rust-windows-i686-gnullvm-0.52.6
+        rust-windows-i686-msvc-0.52.6
+        rust-windows-x86-64-gnu-0.52.6
+        rust-windows-x86-64-gnullvm-0.52.6
+        rust-windows-x86-64-msvc-0.52.6
+        rust-winnow-0.7.6
+        rust-wit-bindgen-rt-0.39.0
+        rust-xterm-color-1.0.1
+        rust-zerocopy-0.8.24
+        rust-zerocopy-derive-0.8.24
+        rust-zune-core-0.4.12
+        rust-zune-inflate-0.2.54
+        rust-zune-jpeg-0.4.14))
+
 (define-public tmux-plugin-sessionizer-cargo-inputs
   (list rust-aho-corasick-1.1.3
         rust-allocator-api2-0.2.21